import Diamond from '@niftykit/diamond';
import { EthereumClient } from '@web3modal/ethereum';
import { Web3Modal } from '@web3modal/html';
import { Chain } from 'viem';
declare const state: {
  modal?: Web3Modal;
  client?: EthereumClient;
  diamond?: Diamond;
  chain?: Chain;
};
export declare function initialize(collectionId: string, isDev?: boolean): Promise<void>;
export default state;
